/**
 *
 */
package abc.score;


/**
 * information field (T:)を表す実装クラス
 *
 * @author CrapeMyrtle
 *
 */
public class InformationFieldTitle extends AInformationField implements Cloneable {

	private String	title	= "";

	/**
	 * コンストラクタ
	 */
	public InformationFieldTitle() {
	}

	/**
	 * コンストラクタ。タイトルを設定する。
	 *
	 * @param title
	 *            設定するタイトル
	 */
	public InformationFieldTitle(String title) {
		this.title = title;
	}

	/*
	 * (非 Javadoc)
	 *
	 * @see java.lang.Object#clone()
	 */
	@Override
	public InformationFieldTitle clone() {
		return new InformationFieldTitle(this.title);
	}

	/*
	 * (非 Javadoc)
	 *
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return "T:(" + this.title + ")";
	}

	/**
	 * タイトルを取得する
	 *
	 * @return タイトル
	 */
	public String getTitle() {
		return this.title;
	}

	/**
	 * タイトルを設定する
	 *
	 * @param title
	 *            設定するタイトル
	 */
	public void setTitle(String title) {
		this.title = title;
	}

}
