package abc;

import util.Debug;
import util.Option;

public class Main {
	public static void main(String[] args) throws Exception {
		Option opt = new Option();

		try {
			opt.parseOpt(args);
			if (opt.getError() != null) {
				throw new RuntimeException("\n" + opt.getError()
						+ "\nヘルプ(-h,--help)、もしくは詳細なヘルプ(-h,--help-detail)を参照下さい");
			}
			if (opt.isHelp() || opt.isHelpDetail()) {
				System.out.print(opt.help());
				return;
			}
			Debug.setOption(opt);
			Debug.out(opt);

			new Abc2MoeAbc().convert(opt);

			opt.closeResource();
		} catch (Exception e) {
			opt.closeResource();
			throw e;
		}
	}
}
