/**
 *
 */
package abc.parser;

/**
 * ABC譜の読み込み状態を表す
 *
 * @author CrapeMyrtle
 *
 */
public enum EState {
	/** file header */
	FILE_HEADER,
	/** tune header */
	TUNE_HEADER,
	/** tune header last */
	TUNE_HEADER_LAST,
	/** tune body */
	TUNE_BODY,
	/** EOF */
	EOF, ;
}
