/**
 *
 */
package abc.util;

/**
 * Trackを特定するための情報を格納する
 *
 * @author CrapeMyrtle
 *
 */
public class TrackID {
	private String	tuneId;
	private String	trackId;

	/**
	 * コンストラクタ。
	 *
	 * @param tuneId
	 *            TuneID
	 * @param trackId
	 *            TrackID
	 */
	public TrackID(String tuneId, String trackId) {
		this.tuneId = tuneId;
		this.trackId = trackId;
	}

	/* (非 Javadoc)
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return "{tuneId=" + this.tuneId + ", trackId=" + this.trackId + "}";
	}

	/**
	 * TuneID(Tuneの参照番号)を取得する
	 *
	 * @return TuneID
	 */
	public String getTuneId() {
		return tuneId;
	}

	/**
	 * TrackIDを取得する
	 *
	 * @return TrackID
	 */
	public String getTrackId() {
		return trackId;
	}
}
